function init()
	gun.name = "BigBeam"
	gun.fireDelay = 8000
	gun.shotrange = 950
	gun.shotdamage = 70
	gun.shotknockback = 100000
	
	gun.burstDelay = 0
	gun.burstNum = 60
	
	gun.overheat = 1750

	gun.piercing = 1
	
	--gun.initBeam()
	
	--make a little message when the gun readies
	gun.readynotify = 1
	
	return 0
end


function update()
	return 0
end


function fire()
	heatmod = 1 - (gun.burst / gun.burstNum)
	if heatmod < .1 then heatmod = .1 end
	if heatmod >= .9 then heatmod = .9 end

	gun.cycleBeam(6 + heatmod)
	
	bx = gun.firex + math.cos(math.rad(gun.owner.rot))*gun.shotrange
	by = gun.firey + math.sin(math.rad(gun.owner.rot))*gun.shotrange
	
	--stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, gun.firetarx, gun.firetary)
	stage.makeBeam(gun.beam, gun.owner, gun.firex, gun.firey, bx, by)
	
	--gun.GFP("made beam!")
	if gun.firing_start == 1 then
		gun.sfx("gun_beam_big.wav", gun.firex, gun.firey, 1, 1)
	end

	return 0
end

function shot_update()

	return 0
end